Deskhero Developer Hub
Back to deskhero.com
Faqs

List

Lists FAQs with pagination. Filter by status, cluster_id and/or cluster_label_id. Pass include_conflicts=true to include each FAQ's conflicting counterpart inline.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/faqs
Authorisation
Minimum role: USER

Request arguments

Name Type Source
filterDTO_faq_filterQuery
Request body example

Response

Status
200 (OK)
Type
DTO_faq[]
Wrapper
DTO_response_wrap_get_many
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_faq_filter
NameTypeReadOnlyDescription
statusfaq_status (nullable)Status
cluster_idInt32 (nullable)Filter by the cluster that generated these FAQs (local/decoupled int ID)
cluster_label_idInt32 (nullable)Filter by cluster label (local/decoupled int ID)
include_conflictsBooleanWhen true, each FAQ with a conflict will include the conflicting FAQ data in the response
only_conflictsBooleanWhen true, only return FAQs that have at least one conflict
searchStringSearch
sort_orderENUM sort_orderSort order
takeInt32Take
pageInt32Page
DTO_faq
NameTypeReadOnlyDescription
clusterDTO_referenceCluster
cluster_labelDTO_referenceCluster label
conflicting_faq_idsInt32[]Conflicting faq ids
conflicting_faqsDTO_faq[]Conflicting faqs
idInt32Id
statusENUM faq_statusStatus
questionStringQuestion
answerStringAnswer
embeddings_status_enum_idInt32Embeddings status enum id
DTO_reference
NameTypeReadOnlyDescription
idInt32The id of the reference
labelObjectReadOnlyName/Label from referenced object.
DTO_faq
NameTypeReadOnlyDescription
clusterDTO_referenceCluster
cluster_labelDTO_referenceCluster label
conflicting_faq_idsInt32[]Conflicting faq ids
conflicting_faqsDTO_faq[]Conflicting faqs
idInt32Id
statusENUM faq_statusStatus
questionStringQuestion
answerStringAnswer
embeddings_status_enum_idInt32Embeddings status enum id
ENUM faq_status
ValueNameDescription
0UNKNOWNUNKNOWN
1SUGGESTEDSUGGESTED
11MANUALLY_CREATEDMANUALLY_CREATED
21APPROVED_AS_ISAPPROVED_AS_IS
22APPROVED_WITH_EDITSAPPROVED_WITH_EDITS
31DECLINEDDECLINED
32DUPLICATED_IGNOREDUPLICATED_IGNORE
41REMOVEDREMOVED
ENUM sort_order
ValueNameDescription
0ASCASC
1DESCDESC

Generated Aug 4, 2026 18:37